summaryrefslogtreecommitdiffstats
path: root/unix/mkLinks
diff options
context:
space:
mode:
authorrjohnson <rjohnson>1998-03-26 14:56:55 (GMT)
committerrjohnson <rjohnson>1998-03-26 14:56:55 (GMT)
commit72d823b9193f9ee2b0318563b49363cd08c11f24 (patch)
treec168cc164a71f320db9dcdfe7518ba7bd0d2c8d9 /unix/mkLinks
parent2b5738da524e944cda39e24c0a87b745a43bd8c3 (diff)
downloadtcl-72d823b9193f9ee2b0318563b49363cd08c11f24.zip
tcl-72d823b9193f9ee2b0318563b49363cd08c11f24.tar.gz
tcl-72d823b9193f9ee2b0318563b49363cd08c11f24.tar.bz2
Initial revision
Diffstat (limited to 'unix/mkLinks')
-rw-r--r--unix/mkLinks1010
1 files changed, 1010 insertions, 0 deletions
diff --git a/unix/mkLinks b/unix/mkLinks
new file mode 100644
index 0000000..b4da360
--- /dev/null
+++ b/unix/mkLinks
@@ -0,0 +1,1010 @@
+#!/bin/sh
+# This script is invoked when installing manual entries. It generates
+# additional links to manual entries, corresponding to the procedure
+# and command names described by the manual entry. For example, the
+# Tcl manual entry Hash.3 describes procedures Tcl_InitHashTable,
+# Tcl_CreateHashEntry, and many more. This script will make hard
+# links so that Tcl_InitHashTable.3, Tcl_CreateHashEntry.3, and so
+# on all refer to Hash.3 in the installed directory.
+#
+# Because of the length of command and procedure names, this mechanism
+# only works on machines that support file names longer than 14 characters.
+# This script checks to see if long file names are supported, and it
+# doesn't make any links if they are not.
+#
+# The script takes one argument, which is the name of the directory
+# where the manual entries have been installed.
+
+if test $# != 1; then
+ echo "Usage: mkLinks dir"
+ exit 1
+fi
+
+cd $1
+echo foo > xyzzyTestingAVeryLongFileName.foo
+x=`echo xyzzyTe*`
+rm xyzzyTe*
+if test "$x" != "xyzzyTestingAVeryLongFileName.foo"; then
+ exit
+fi
+if test -r safe.n; then
+ rm -f Base.n
+ ln safe.n Base.n
+fi
+if test -r http.n; then
+ rm -f Http.n
+ ln http.n Http.n
+fi
+if test -r safe.n; then
+ rm -f Safe.n
+ ln safe.n Safe.n
+fi
+if test -r StringObj.3; then
+ rm -f TclConcatObj.3
+ ln StringObj.3 TclConcatObj.3
+fi
+if test -r AddErrInfo.3; then
+ rm -f Tcl_AddErrorInfo.3
+ ln AddErrInfo.3 Tcl_AddErrorInfo.3
+fi
+if test -r AddErrInfo.3; then
+ rm -f Tcl_AddObjErrorInfo.3
+ ln AddErrInfo.3 Tcl_AddObjErrorInfo.3
+fi
+if test -r Alloc.3; then
+ rm -f Tcl_Alloc.3
+ ln Alloc.3 Tcl_Alloc.3
+fi
+if test -r AllowExc.3; then
+ rm -f Tcl_AllowExceptions.3
+ ln AllowExc.3 Tcl_AllowExceptions.3
+fi
+if test -r AppInit.3; then
+ rm -f Tcl_AppInit.3
+ ln AppInit.3 Tcl_AppInit.3
+fi
+if test -r ObjectType.3; then
+ rm -f Tcl_AppendAllObjTypes.3
+ ln ObjectType.3 Tcl_AppendAllObjTypes.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_AppendElement.3
+ ln SetResult.3 Tcl_AppendElement.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_AppendResult.3
+ ln SetResult.3 Tcl_AppendResult.3
+fi
+if test -r StringObj.3; then
+ rm -f Tcl_AppendStringsToObj.3
+ ln StringObj.3 Tcl_AppendStringsToObj.3
+fi
+if test -r StringObj.3; then
+ rm -f Tcl_AppendToObj.3
+ ln StringObj.3 Tcl_AppendToObj.3
+fi
+if test -r Async.3; then
+ rm -f Tcl_AsyncCreate.3
+ ln Async.3 Tcl_AsyncCreate.3
+fi
+if test -r Async.3; then
+ rm -f Tcl_AsyncDelete.3
+ ln Async.3 Tcl_AsyncDelete.3
+fi
+if test -r Async.3; then
+ rm -f Tcl_AsyncInvoke.3
+ ln Async.3 Tcl_AsyncInvoke.3
+fi
+if test -r Async.3; then
+ rm -f Tcl_AsyncMark.3
+ ln Async.3 Tcl_AsyncMark.3
+fi
+if test -r BackgdErr.3; then
+ rm -f Tcl_BackgroundError.3
+ ln BackgdErr.3 Tcl_BackgroundError.3
+fi
+if test -r Backslash.3; then
+ rm -f Tcl_Backslash.3
+ ln Backslash.3 Tcl_Backslash.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_BadChannelOption.3
+ ln CrtChannel.3 Tcl_BadChannelOption.3
+fi
+if test -r CallDel.3; then
+ rm -f Tcl_CallWhenDeleted.3
+ ln CallDel.3 Tcl_CallWhenDeleted.3
+fi
+if test -r DoWhenIdle.3; then
+ rm -f Tcl_CancelIdleCall.3
+ ln DoWhenIdle.3 Tcl_CancelIdleCall.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Close.3
+ ln OpenFileChnl.3 Tcl_Close.3
+fi
+if test -r CmdCmplt.3; then
+ rm -f Tcl_CommandComplete.3
+ ln CmdCmplt.3 Tcl_CommandComplete.3
+fi
+if test -r Concat.3; then
+ rm -f Tcl_Concat.3
+ ln Concat.3 Tcl_Concat.3
+fi
+if test -r SplitList.3; then
+ rm -f Tcl_ConvertElement.3
+ ln SplitList.3 Tcl_ConvertElement.3
+fi
+if test -r ObjectType.3; then
+ rm -f Tcl_ConvertToType.3
+ ln ObjectType.3 Tcl_ConvertToType.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_CreateAlias.3
+ ln CrtSlave.3 Tcl_CreateAlias.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_CreateAliasObj.3
+ ln CrtSlave.3 Tcl_CreateAliasObj.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_CreateChannel.3
+ ln CrtChannel.3 Tcl_CreateChannel.3
+fi
+if test -r CrtChnlHdlr.3; then
+ rm -f Tcl_CreateChannelHandler.3
+ ln CrtChnlHdlr.3 Tcl_CreateChannelHandler.3
+fi
+if test -r CrtCloseHdlr.3; then
+ rm -f Tcl_CreateCloseHandler.3
+ ln CrtCloseHdlr.3 Tcl_CreateCloseHandler.3
+fi
+if test -r CrtCommand.3; then
+ rm -f Tcl_CreateCommand.3
+ ln CrtCommand.3 Tcl_CreateCommand.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_CreateEventSource.3
+ ln Notifier.3 Tcl_CreateEventSource.3
+fi
+if test -r Exit.3; then
+ rm -f Tcl_CreateExitHandler.3
+ ln Exit.3 Tcl_CreateExitHandler.3
+fi
+if test -r CrtFileHdlr.3; then
+ rm -f Tcl_CreateFileHandler.3
+ ln CrtFileHdlr.3 Tcl_CreateFileHandler.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_CreateHashEntry.3
+ ln Hash.3 Tcl_CreateHashEntry.3
+fi
+if test -r CrtInterp.3; then
+ rm -f Tcl_CreateInterp.3
+ ln CrtInterp.3 Tcl_CreateInterp.3
+fi
+if test -r CrtMathFnc.3; then
+ rm -f Tcl_CreateMathFunc.3
+ ln CrtMathFnc.3 Tcl_CreateMathFunc.3
+fi
+if test -r CrtObjCmd.3; then
+ rm -f Tcl_CreateObjCommand.3
+ ln CrtObjCmd.3 Tcl_CreateObjCommand.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_CreateSlave.3
+ ln CrtSlave.3 Tcl_CreateSlave.3
+fi
+if test -r CrtTimerHdlr.3; then
+ rm -f Tcl_CreateTimerHandler.3
+ ln CrtTimerHdlr.3 Tcl_CreateTimerHandler.3
+fi
+if test -r CrtTrace.3; then
+ rm -f Tcl_CreateTrace.3
+ ln CrtTrace.3 Tcl_CreateTrace.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringAppend.3
+ ln DString.3 Tcl_DStringAppend.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringAppendElement.3
+ ln DString.3 Tcl_DStringAppendElement.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringEndSublist.3
+ ln DString.3 Tcl_DStringEndSublist.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringFree.3
+ ln DString.3 Tcl_DStringFree.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringGetResult.3
+ ln DString.3 Tcl_DStringGetResult.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringInit.3
+ ln DString.3 Tcl_DStringInit.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringLength.3
+ ln DString.3 Tcl_DStringLength.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringResult.3
+ ln DString.3 Tcl_DStringResult.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringSetLength.3
+ ln DString.3 Tcl_DStringSetLength.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringStartSublist.3
+ ln DString.3 Tcl_DStringStartSublist.3
+fi
+if test -r DString.3; then
+ rm -f Tcl_DStringValue.3
+ ln DString.3 Tcl_DStringValue.3
+fi
+if test -r Object.3; then
+ rm -f Tcl_DecrRefCount.3
+ ln Object.3 Tcl_DecrRefCount.3
+fi
+if test -r AssocData.3; then
+ rm -f Tcl_DeleteAssocData.3
+ ln AssocData.3 Tcl_DeleteAssocData.3
+fi
+if test -r CrtChnlHdlr.3; then
+ rm -f Tcl_DeleteChannelHandler.3
+ ln CrtChnlHdlr.3 Tcl_DeleteChannelHandler.3
+fi
+if test -r CrtCloseHdlr.3; then
+ rm -f Tcl_DeleteCloseHandler.3
+ ln CrtCloseHdlr.3 Tcl_DeleteCloseHandler.3
+fi
+if test -r CrtObjCmd.3; then
+ rm -f Tcl_DeleteCommand.3
+ ln CrtObjCmd.3 Tcl_DeleteCommand.3
+fi
+if test -r CrtObjCmd.3; then
+ rm -f Tcl_DeleteCommandFromToken.3
+ ln CrtObjCmd.3 Tcl_DeleteCommandFromToken.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_DeleteEventSource.3
+ ln Notifier.3 Tcl_DeleteEventSource.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_DeleteEvents.3
+ ln Notifier.3 Tcl_DeleteEvents.3
+fi
+if test -r Exit.3; then
+ rm -f Tcl_DeleteExitHandler.3
+ ln Exit.3 Tcl_DeleteExitHandler.3
+fi
+if test -r CrtFileHdlr.3; then
+ rm -f Tcl_DeleteFileHandler.3
+ ln CrtFileHdlr.3 Tcl_DeleteFileHandler.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_DeleteHashEntry.3
+ ln Hash.3 Tcl_DeleteHashEntry.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_DeleteHashTable.3
+ ln Hash.3 Tcl_DeleteHashTable.3
+fi
+if test -r CrtInterp.3; then
+ rm -f Tcl_DeleteInterp.3
+ ln CrtInterp.3 Tcl_DeleteInterp.3
+fi
+if test -r CrtTimerHdlr.3; then
+ rm -f Tcl_DeleteTimerHandler.3
+ ln CrtTimerHdlr.3 Tcl_DeleteTimerHandler.3
+fi
+if test -r CrtTrace.3; then
+ rm -f Tcl_DeleteTrace.3
+ ln CrtTrace.3 Tcl_DeleteTrace.3
+fi
+if test -r DetachPids.3; then
+ rm -f Tcl_DetachPids.3
+ ln DetachPids.3 Tcl_DetachPids.3
+fi
+if test -r DoOneEvent.3; then
+ rm -f Tcl_DoOneEvent.3
+ ln DoOneEvent.3 Tcl_DoOneEvent.3
+fi
+if test -r DoWhenIdle.3; then
+ rm -f Tcl_DoWhenIdle.3
+ ln DoWhenIdle.3 Tcl_DoWhenIdle.3
+fi
+if test -r CallDel.3; then
+ rm -f Tcl_DontCallWhenDeleted.3
+ ln CallDel.3 Tcl_DontCallWhenDeleted.3
+fi
+if test -r Object.3; then
+ rm -f Tcl_DuplicateObj.3
+ ln Object.3 Tcl_DuplicateObj.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Eof.3
+ ln OpenFileChnl.3 Tcl_Eof.3
+fi
+if test -r Eval.3; then
+ rm -f Tcl_Eval.3
+ ln Eval.3 Tcl_Eval.3
+fi
+if test -r Eval.3; then
+ rm -f Tcl_EvalFile.3
+ ln Eval.3 Tcl_EvalFile.3
+fi
+if test -r EvalObj.3; then
+ rm -f Tcl_EvalObj.3
+ ln EvalObj.3 Tcl_EvalObj.3
+fi
+if test -r Preserve.3; then
+ rm -f Tcl_EventuallyFree.3
+ ln Preserve.3 Tcl_EventuallyFree.3
+fi
+if test -r Exit.3; then
+ rm -f Tcl_Exit.3
+ ln Exit.3 Tcl_Exit.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_ExposeCommand.3
+ ln CrtSlave.3 Tcl_ExposeCommand.3
+fi
+if test -r ExprLong.3; then
+ rm -f Tcl_ExprBoolean.3
+ ln ExprLong.3 Tcl_ExprBoolean.3
+fi
+if test -r ExprLongObj.3; then
+ rm -f Tcl_ExprBooleanObj.3
+ ln ExprLongObj.3 Tcl_ExprBooleanObj.3
+fi
+if test -r ExprLong.3; then
+ rm -f Tcl_ExprDouble.3
+ ln ExprLong.3 Tcl_ExprDouble.3
+fi
+if test -r ExprLongObj.3; then
+ rm -f Tcl_ExprDoubleObj.3
+ ln ExprLongObj.3 Tcl_ExprDoubleObj.3
+fi
+if test -r ExprLong.3; then
+ rm -f Tcl_ExprLong.3
+ ln ExprLong.3 Tcl_ExprLong.3
+fi
+if test -r ExprLongObj.3; then
+ rm -f Tcl_ExprLongObj.3
+ ln ExprLongObj.3 Tcl_ExprLongObj.3
+fi
+if test -r ExprLongObj.3; then
+ rm -f Tcl_ExprObj.3
+ ln ExprLongObj.3 Tcl_ExprObj.3
+fi
+if test -r ExprLong.3; then
+ rm -f Tcl_ExprString.3
+ ln ExprLong.3 Tcl_ExprString.3
+fi
+if test -r Exit.3; then
+ rm -f Tcl_Finalize.3
+ ln Exit.3 Tcl_Finalize.3
+fi
+if test -r FindExec.3; then
+ rm -f Tcl_FindExecutable.3
+ ln FindExec.3 Tcl_FindExecutable.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_FindHashEntry.3
+ ln Hash.3 Tcl_FindHashEntry.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_FirstHashEntry.3
+ ln Hash.3 Tcl_FirstHashEntry.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Flush.3
+ ln OpenFileChnl.3 Tcl_Flush.3
+fi
+if test -r Alloc.3; then
+ rm -f Tcl_Free.3
+ ln Alloc.3 Tcl_Free.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_GetAlias.3
+ ln CrtSlave.3 Tcl_GetAlias.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_GetAliasObj.3
+ ln CrtSlave.3 Tcl_GetAliasObj.3
+fi
+if test -r AssocData.3; then
+ rm -f Tcl_GetAssocData.3
+ ln AssocData.3 Tcl_GetAssocData.3
+fi
+if test -r GetInt.3; then
+ rm -f Tcl_GetBoolean.3
+ ln GetInt.3 Tcl_GetBoolean.3
+fi
+if test -r BoolObj.3; then
+ rm -f Tcl_GetBooleanFromObj.3
+ ln BoolObj.3 Tcl_GetBooleanFromObj.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_GetChannel.3
+ ln OpenFileChnl.3 Tcl_GetChannel.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_GetChannelBufferSize.3
+ ln CrtChannel.3 Tcl_GetChannelBufferSize.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_GetChannelHandle.3
+ ln CrtChannel.3 Tcl_GetChannelHandle.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_GetChannelInstanceData.3
+ ln CrtChannel.3 Tcl_GetChannelInstanceData.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_GetChannelMode.3
+ ln CrtChannel.3 Tcl_GetChannelMode.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_GetChannelName.3
+ ln CrtChannel.3 Tcl_GetChannelName.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_GetChannelOption.3
+ ln OpenFileChnl.3 Tcl_GetChannelOption.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_GetChannelType.3
+ ln CrtChannel.3 Tcl_GetChannelType.3
+fi
+if test -r CrtObjCmd.3; then
+ rm -f Tcl_GetCommandInfo.3
+ ln CrtObjCmd.3 Tcl_GetCommandInfo.3
+fi
+if test -r CrtObjCmd.3; then
+ rm -f Tcl_GetCommandName.3
+ ln CrtObjCmd.3 Tcl_GetCommandName.3
+fi
+if test -r GetInt.3; then
+ rm -f Tcl_GetDouble.3
+ ln GetInt.3 Tcl_GetDouble.3
+fi
+if test -r DoubleObj.3; then
+ rm -f Tcl_GetDoubleFromObj.3
+ ln DoubleObj.3 Tcl_GetDoubleFromObj.3
+fi
+if test -r SetErrno.3; then
+ rm -f Tcl_GetErrno.3
+ ln SetErrno.3 Tcl_GetErrno.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_GetHashKey.3
+ ln Hash.3 Tcl_GetHashKey.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_GetHashValue.3
+ ln Hash.3 Tcl_GetHashValue.3
+fi
+if test -r GetIndex.3; then
+ rm -f Tcl_GetIndexFromObj.3
+ ln GetIndex.3 Tcl_GetIndexFromObj.3
+fi
+if test -r GetInt.3; then
+ rm -f Tcl_GetInt.3
+ ln GetInt.3 Tcl_GetInt.3
+fi
+if test -r IntObj.3; then
+ rm -f Tcl_GetIntFromObj.3
+ ln IntObj.3 Tcl_GetIntFromObj.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_GetInterpPath.3
+ ln CrtSlave.3 Tcl_GetInterpPath.3
+fi
+if test -r IntObj.3; then
+ rm -f Tcl_GetLongFromObj.3
+ ln IntObj.3 Tcl_GetLongFromObj.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_GetMaster.3
+ ln CrtSlave.3 Tcl_GetMaster.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_GetObjResult.3
+ ln SetResult.3 Tcl_GetObjResult.3
+fi
+if test -r ObjectType.3; then
+ rm -f Tcl_GetObjType.3
+ ln ObjectType.3 Tcl_GetObjType.3
+fi
+if test -r GetOpnFl.3; then
+ rm -f Tcl_GetOpenFile.3
+ ln GetOpnFl.3 Tcl_GetOpenFile.3
+fi
+if test -r SplitPath.3; then
+ rm -f Tcl_GetPathType.3
+ ln SplitPath.3 Tcl_GetPathType.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_GetServiceMode.3
+ ln Notifier.3 Tcl_GetServiceMode.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_GetSlave.3
+ ln CrtSlave.3 Tcl_GetSlave.3
+fi
+if test -r GetStdChan.3; then
+ rm -f Tcl_GetStdChannel.3
+ ln GetStdChan.3 Tcl_GetStdChannel.3
+fi
+if test -r StringObj.3; then
+ rm -f Tcl_GetStringFromObj.3
+ ln StringObj.3 Tcl_GetStringFromObj.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_GetStringResult.3
+ ln SetResult.3 Tcl_GetStringResult.3
+fi
+if test -r SetVar.3; then
+ rm -f Tcl_GetVar.3
+ ln SetVar.3 Tcl_GetVar.3
+fi
+if test -r SetVar.3; then
+ rm -f Tcl_GetVar2.3
+ ln SetVar.3 Tcl_GetVar2.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Gets.3
+ ln OpenFileChnl.3 Tcl_Gets.3
+fi
+if test -r Eval.3; then
+ rm -f Tcl_GlobalEval.3
+ ln Eval.3 Tcl_GlobalEval.3
+fi
+if test -r EvalObj.3; then
+ rm -f Tcl_GlobalEvalObj.3
+ ln EvalObj.3 Tcl_GlobalEvalObj.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_HashStats.3
+ ln Hash.3 Tcl_HashStats.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_HideCommand.3
+ ln CrtSlave.3 Tcl_HideCommand.3
+fi
+if test -r Object.3; then
+ rm -f Tcl_IncrRefCount.3
+ ln Object.3 Tcl_IncrRefCount.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_InitHashTable.3
+ ln Hash.3 Tcl_InitHashTable.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_InputBlocked.3
+ ln OpenFileChnl.3 Tcl_InputBlocked.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_InputBuffered.3
+ ln OpenFileChnl.3 Tcl_InputBuffered.3
+fi
+if test -r Interp.3; then
+ rm -f Tcl_Interp.3
+ ln Interp.3 Tcl_Interp.3
+fi
+if test -r CrtInterp.3; then
+ rm -f Tcl_InterpDeleted.3
+ ln CrtInterp.3 Tcl_InterpDeleted.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_IsSafe.3
+ ln CrtSlave.3 Tcl_IsSafe.3
+fi
+if test -r Object.3; then
+ rm -f Tcl_IsShared.3
+ ln Object.3 Tcl_IsShared.3
+fi
+if test -r SplitPath.3; then
+ rm -f Tcl_JoinPath.3
+ ln SplitPath.3 Tcl_JoinPath.3
+fi
+if test -r LinkVar.3; then
+ rm -f Tcl_LinkVar.3
+ ln LinkVar.3 Tcl_LinkVar.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_ListObjAppendElement.3
+ ln ListObj.3 Tcl_ListObjAppendElement.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_ListObjAppendList.3
+ ln ListObj.3 Tcl_ListObjAppendList.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_ListObjGetElements.3
+ ln ListObj.3 Tcl_ListObjGetElements.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_ListObjIndex.3
+ ln ListObj.3 Tcl_ListObjIndex.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_ListObjLength.3
+ ln ListObj.3 Tcl_ListObjLength.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_ListObjReplace.3
+ ln ListObj.3 Tcl_ListObjReplace.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_MakeFileChannel.3
+ ln OpenFileChnl.3 Tcl_MakeFileChannel.3
+fi
+if test -r CrtSlave.3; then
+ rm -f Tcl_MakeSafe.3
+ ln CrtSlave.3 Tcl_MakeSafe.3
+fi
+if test -r OpenTcp.3; then
+ rm -f Tcl_MakeTcpClientChannel.3
+ ln OpenTcp.3 Tcl_MakeTcpClientChannel.3
+fi
+if test -r SplitList.3; then
+ rm -f Tcl_Merge.3
+ ln SplitList.3 Tcl_Merge.3
+fi
+if test -r BoolObj.3; then
+ rm -f Tcl_NewBooleanObj.3
+ ln BoolObj.3 Tcl_NewBooleanObj.3
+fi
+if test -r DoubleObj.3; then
+ rm -f Tcl_NewDoubleObj.3
+ ln DoubleObj.3 Tcl_NewDoubleObj.3
+fi
+if test -r IntObj.3; then
+ rm -f Tcl_NewIntObj.3
+ ln IntObj.3 Tcl_NewIntObj.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_NewListObj.3
+ ln ListObj.3 Tcl_NewListObj.3
+fi
+if test -r IntObj.3; then
+ rm -f Tcl_NewLongObj.3
+ ln IntObj.3 Tcl_NewLongObj.3
+fi
+if test -r Object.3; then
+ rm -f Tcl_NewObj.3
+ ln Object.3 Tcl_NewObj.3
+fi
+if test -r StringObj.3; then
+ rm -f Tcl_NewStringObj.3
+ ln StringObj.3 Tcl_NewStringObj.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_NextHashEntry.3
+ ln Hash.3 Tcl_NextHashEntry.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_NotifyChannel.3
+ ln CrtChannel.3 Tcl_NotifyChannel.3
+fi
+if test -r ObjSetVar.3; then
+ rm -f Tcl_ObjGetVar2.3
+ ln ObjSetVar.3 Tcl_ObjGetVar2.3
+fi
+if test -r ObjSetVar.3; then
+ rm -f Tcl_ObjSetVar2.3
+ ln ObjSetVar.3 Tcl_ObjSetVar2.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_OpenCommandChannel.3
+ ln OpenFileChnl.3 Tcl_OpenCommandChannel.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_OpenFileChannel.3
+ ln OpenFileChnl.3 Tcl_OpenFileChannel.3
+fi
+if test -r OpenTcp.3; then
+ rm -f Tcl_OpenTcpClient.3
+ ln OpenTcp.3 Tcl_OpenTcpClient.3
+fi
+if test -r OpenTcp.3; then
+ rm -f Tcl_OpenTcpServer.3
+ ln OpenTcp.3 Tcl_OpenTcpServer.3
+fi
+if test -r PkgRequire.3; then
+ rm -f Tcl_PkgProvide.3
+ ln PkgRequire.3 Tcl_PkgProvide.3
+fi
+if test -r PkgRequire.3; then
+ rm -f Tcl_PkgRequire.3
+ ln PkgRequire.3 Tcl_PkgRequire.3
+fi
+if test -r AddErrInfo.3; then
+ rm -f Tcl_PosixError.3
+ ln AddErrInfo.3 Tcl_PosixError.3
+fi
+if test -r Preserve.3; then
+ rm -f Tcl_Preserve.3
+ ln Preserve.3 Tcl_Preserve.3
+fi
+if test -r PrintDbl.3; then
+ rm -f Tcl_PrintDouble.3
+ ln PrintDbl.3 Tcl_PrintDouble.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_QueueEvent.3
+ ln Notifier.3 Tcl_QueueEvent.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Read.3
+ ln OpenFileChnl.3 Tcl_Read.3
+fi
+if test -r Alloc.3; then
+ rm -f Tcl_Realloc.3
+ ln Alloc.3 Tcl_Realloc.3
+fi
+if test -r DetachPids.3; then
+ rm -f Tcl_ReapDetachedProcs.3
+ ln DetachPids.3 Tcl_ReapDetachedProcs.3
+fi
+if test -r RecordEval.3; then
+ rm -f Tcl_RecordAndEval.3
+ ln RecordEval.3 Tcl_RecordAndEval.3
+fi
+if test -r RecEvalObj.3; then
+ rm -f Tcl_RecordAndEvalObj.3
+ ln RecEvalObj.3 Tcl_RecordAndEvalObj.3
+fi
+if test -r RegExp.3; then
+ rm -f Tcl_RegExpCompile.3
+ ln RegExp.3 Tcl_RegExpCompile.3
+fi
+if test -r RegExp.3; then
+ rm -f Tcl_RegExpExec.3
+ ln RegExp.3 Tcl_RegExpExec.3
+fi
+if test -r RegExp.3; then
+ rm -f Tcl_RegExpMatch.3
+ ln RegExp.3 Tcl_RegExpMatch.3
+fi
+if test -r RegExp.3; then
+ rm -f Tcl_RegExpRange.3
+ ln RegExp.3 Tcl_RegExpRange.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_RegisterChannel.3
+ ln OpenFileChnl.3 Tcl_RegisterChannel.3
+fi
+if test -r ObjectType.3; then
+ rm -f Tcl_RegisterObjType.3
+ ln ObjectType.3 Tcl_RegisterObjType.3
+fi
+if test -r Preserve.3; then
+ rm -f Tcl_Release.3
+ ln Preserve.3 Tcl_Release.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_ResetResult.3
+ ln SetResult.3 Tcl_ResetResult.3
+fi
+if test -r SplitList.3; then
+ rm -f Tcl_ScanElement.3
+ ln SplitList.3 Tcl_ScanElement.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Seek.3
+ ln OpenFileChnl.3 Tcl_Seek.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_ServiceAll.3
+ ln Notifier.3 Tcl_ServiceAll.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_ServiceEvent.3
+ ln Notifier.3 Tcl_ServiceEvent.3
+fi
+if test -r AssocData.3; then
+ rm -f Tcl_SetAssocData.3
+ ln AssocData.3 Tcl_SetAssocData.3
+fi
+if test -r BoolObj.3; then
+ rm -f Tcl_SetBooleanObj.3
+ ln BoolObj.3 Tcl_SetBooleanObj.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_SetChannelBufferSize.3
+ ln CrtChannel.3 Tcl_SetChannelBufferSize.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_SetChannelOption.3
+ ln OpenFileChnl.3 Tcl_SetChannelOption.3
+fi
+if test -r CrtObjCmd.3; then
+ rm -f Tcl_SetCommandInfo.3
+ ln CrtObjCmd.3 Tcl_SetCommandInfo.3
+fi
+if test -r CrtChannel.3; then
+ rm -f Tcl_SetDefaultTranslation.3
+ ln CrtChannel.3 Tcl_SetDefaultTranslation.3
+fi
+if test -r DoubleObj.3; then
+ rm -f Tcl_SetDoubleObj.3
+ ln DoubleObj.3 Tcl_SetDoubleObj.3
+fi
+if test -r SetErrno.3; then
+ rm -f Tcl_SetErrno.3
+ ln SetErrno.3 Tcl_SetErrno.3
+fi
+if test -r AddErrInfo.3; then
+ rm -f Tcl_SetErrorCode.3
+ ln AddErrInfo.3 Tcl_SetErrorCode.3
+fi
+if test -r Hash.3; then
+ rm -f Tcl_SetHashValue.3
+ ln Hash.3 Tcl_SetHashValue.3
+fi
+if test -r IntObj.3; then
+ rm -f Tcl_SetIntObj.3
+ ln IntObj.3 Tcl_SetIntObj.3
+fi
+if test -r ListObj.3; then
+ rm -f Tcl_SetListObj.3
+ ln ListObj.3 Tcl_SetListObj.3
+fi
+if test -r IntObj.3; then
+ rm -f Tcl_SetLongObj.3
+ ln IntObj.3 Tcl_SetLongObj.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_SetMaxBlockTime.3
+ ln Notifier.3 Tcl_SetMaxBlockTime.3
+fi
+if test -r StringObj.3; then
+ rm -f Tcl_SetObjLength.3
+ ln StringObj.3 Tcl_SetObjLength.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_SetObjResult.3
+ ln SetResult.3 Tcl_SetObjResult.3
+fi
+if test -r SetRecLmt.3; then
+ rm -f Tcl_SetRecursionLimit.3
+ ln SetRecLmt.3 Tcl_SetRecursionLimit.3
+fi
+if test -r SetResult.3; then
+ rm -f Tcl_SetResult.3
+ ln SetResult.3 Tcl_SetResult.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_SetServiceMode.3
+ ln Notifier.3 Tcl_SetServiceMode.3
+fi
+if test -r GetStdChan.3; then
+ rm -f Tcl_SetStdChannel.3
+ ln GetStdChan.3 Tcl_SetStdChannel.3
+fi
+if test -r StringObj.3; then
+ rm -f Tcl_SetStringObj.3
+ ln StringObj.3 Tcl_SetStringObj.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_SetTimer.3
+ ln Notifier.3 Tcl_SetTimer.3
+fi
+if test -r SetVar.3; then
+ rm -f Tcl_SetVar.3
+ ln SetVar.3 Tcl_SetVar.3
+fi
+if test -r SetVar.3; then
+ rm -f Tcl_SetVar2.3
+ ln SetVar.3 Tcl_SetVar2.3
+fi
+if test -r Sleep.3; then
+ rm -f Tcl_Sleep.3
+ ln Sleep.3 Tcl_Sleep.3
+fi
+if test -r SplitList.3; then
+ rm -f Tcl_SplitList.3
+ ln SplitList.3 Tcl_SplitList.3
+fi
+if test -r SplitPath.3; then
+ rm -f Tcl_SplitPath.3
+ ln SplitPath.3 Tcl_SplitPath.3
+fi
+if test -r StaticPkg.3; then
+ rm -f Tcl_StaticPackage.3
+ ln StaticPkg.3 Tcl_StaticPackage.3
+fi
+if test -r StrMatch.3; then
+ rm -f Tcl_StringMatch.3
+ ln StrMatch.3 Tcl_StringMatch.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Tell.3
+ ln OpenFileChnl.3 Tcl_Tell.3
+fi
+if test -r TraceVar.3; then
+ rm -f Tcl_TraceVar.3
+ ln TraceVar.3 Tcl_TraceVar.3
+fi
+if test -r TraceVar.3; then
+ rm -f Tcl_TraceVar2.3
+ ln TraceVar.3 Tcl_TraceVar2.3
+fi
+if test -r Translate.3; then
+ rm -f Tcl_TranslateFileName.3
+ ln Translate.3 Tcl_TranslateFileName.3
+fi
+if test -r LinkVar.3; then
+ rm -f Tcl_UnlinkVar.3
+ ln LinkVar.3 Tcl_UnlinkVar.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_UnregisterChannel.3
+ ln OpenFileChnl.3 Tcl_UnregisterChannel.3
+fi
+if test -r SetVar.3; then
+ rm -f Tcl_UnsetVar.3
+ ln SetVar.3 Tcl_UnsetVar.3
+fi
+if test -r SetVar.3; then
+ rm -f Tcl_UnsetVar2.3
+ ln SetVar.3 Tcl_UnsetVar2.3
+fi
+if test -r TraceVar.3; then
+ rm -f Tcl_UntraceVar.3
+ ln TraceVar.3 Tcl_UntraceVar.3
+fi
+if test -r TraceVar.3; then
+ rm -f Tcl_UntraceVar2.3
+ ln TraceVar.3 Tcl_UntraceVar2.3
+fi
+if test -r UpVar.3; then
+ rm -f Tcl_UpVar.3
+ ln UpVar.3 Tcl_UpVar.3
+fi
+if test -r UpVar.3; then
+ rm -f Tcl_UpVar2.3
+ ln UpVar.3 Tcl_UpVar2.3
+fi
+if test -r LinkVar.3; then
+ rm -f Tcl_UpdateLinkedVar.3
+ ln LinkVar.3 Tcl_UpdateLinkedVar.3
+fi
+if test -r Eval.3; then
+ rm -f Tcl_VarEval.3
+ ln Eval.3 Tcl_VarEval.3
+fi
+if test -r TraceVar.3; then
+ rm -f Tcl_VarTraceInfo.3
+ ln TraceVar.3 Tcl_VarTraceInfo.3
+fi
+if test -r TraceVar.3; then
+ rm -f Tcl_VarTraceInfo2.3
+ ln TraceVar.3 Tcl_VarTraceInfo2.3
+fi
+if test -r Notifier.3; then
+ rm -f Tcl_WaitForEvent.3
+ ln Notifier.3 Tcl_WaitForEvent.3
+fi
+if test -r OpenFileChnl.3; then
+ rm -f Tcl_Write.3
+ ln OpenFileChnl.3 Tcl_Write.3
+fi
+if test -r WrongNumArgs.3; then
+ rm -f Tcl_WrongNumArgs.3
+ ln WrongNumArgs.3 Tcl_WrongNumArgs.3
+fi
+if test -r pkgMkIndex.n; then
+ rm -f pkg_mkIndex.n
+ ln pkgMkIndex.n pkg_mkIndex.n
+fi
+exit 0